Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class OperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CatalogueOperationsMetadata, OperationsMetadata_1_0, SOSOperationsMetadata, WCSCapabilityOperations, WFSOperationsMetadata, WMPSOperationsMetadata, WMSOperationsMetadata, WPSOperationsMetadata, WPVSOperationsMetadata

    public abstract class OperationsMetadata

extends Object
implements Serializable

Represents the `OperationMetadata` part in the capabilities document of an OGC-web service according to the `OWS Common Implementation Specification 0.3` (and especially `owsOperationsMetadata.xsd`). As this class is abstract, it only defines the `GetCapabilities` operation, which all types of `OWS Common` -compliant web services must implement.

It consists of the following elements:

Name | Occurences | Function
--- | --- | ---
ows:Operation | 2-* | Metadata for unordered list of all the (requests for) operations that this server interface implements. The list of required and optional operations implemented shall be specified in the Implementation Specification for this service.
ows:Parameter | 0-* | Optional unordered list of parameter valid domains that each apply to one or more operations which this server interface implements. The list of required and optional parameter domain limitations shall be specified in the Implementation Specification for this service.
ows:Constraint | 0-* | Optional unordered list of valid domain constraints on non-parameter quantities that each apply to this server. The list of required and optional constraints shall be specified in the Implementation Specification for this service.
ows:ExtendedCapabilities | 0 or 1 | Individual software vendors and servers can use this element to provide metadata about any additional server abilities.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected Map<String,OWSDomainType>` | `constraints`
`static String` | `GET_CAPABILITIES_NAME`
`protected Operation` | `getCapabilitiesOperation`
`protected Map<String,OWSDomainType>` | `parameters`

Constructor Summary
`OperationsMetadata(Operation getCapabilitiesOperation, OWSDomainType[] parameters, OWSDomainType[] constraints)` Creates a new `OperationsMetadata` instance with the given configuration for the getCapabilitiesOperation.

Method Summary
`void` | `addConstraint(OWSDomainType constraint)` Adds a constraint.
`void` | `addParameter(OWSDomainType parameter)` adds a parameter to the OperationsMetadata
`OWSDomainType[]` | `getConstraints()`
`Operation` | `getGetCapabilitiesOperation()`
`Operation[]` | `getOperations()`
`OWSDomainType[]` | `getParameter()`
`OWSDomainType` | `removeParameter(String name)`
`void` | `setConstraints(OWSDomainType[] constraints)` Sets the constraints of the `OperationMetadata`.
`void` | `setGetCapabilitiesOperation(Operation getCapabilitiesOperation)` Sets the configuration for the `GetCapabilities` -operation.
`void` | `setOperationParameter(OWSDomainType[] parameters)` sets a complete list of parameters to the OperationMetadata

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_CAPABILITIES_NAME

    public static final String GET_CAPABILITIES_NAME

See Also:
  Constant Field Values

### getCapabilitiesOperation

    protected Operation getCapabilitiesOperation

### parameters

    protected Map<String,OWSDomainType> parameters

### constraints

    protected Map<String,OWSDomainType> constraints

Constructor Detail

### OperationsMetadata

    public OperationsMetadata(Operation getCapabilitiesOperation,
                              OWSDomainType[] parameters,
                              OWSDomainType[] constraints)

  Creates a new `OperationsMetadata` instance with the given configuration for the getCapabilitiesOperation.

  Parameters:
    `getCapabilitiesOperation` -
    `parameters` -
    `constraints` -

Method Detail

### getGetCapabilitiesOperation

    public Operation getGetCapabilitiesOperation()

  Returns:
    The configuration for the `GetCapabilities` -operation.

### setGetCapabilitiesOperation

    public void setGetCapabilitiesOperation(Operation getCapabilitiesOperation)

  Sets the configuration for the `GetCapabilities` -operation.

  Parameters:
    `getCapabilitiesOperation` - configuration for the `GetCapabilities` -operation to be set

### getOperations

    public Operation[] getOperations()

  Returns:
    all `Operation` configurations.

### getParameter

    public OWSDomainType[] getParameter()

  Returns:
    a list of parameters assigned directly to the OperationsMetadata.

### addParameter

    public void addParameter(OWSDomainType parameter)

  adds a parameter to the OperationsMetadata

  Parameters:
    `parameter` -

### removeParameter

    public OWSDomainType removeParameter(String name)

  Parameters:
    `name` - removes a parameter from the OperationsMetadata
  Returns:
    the removed parameter

### setOperationParameter

    public void setOperationParameter(OWSDomainType[] parameters)

  sets a complete list of parameters to the OperationMetadata

  Parameters:
    `parameters` -

### getConstraints

    public OWSDomainType[] getConstraints()

  Returns:
    Returns the constraints.

### setConstraints

    public void setConstraints(OWSDomainType[] constraints)

  Sets the constraints of the `OperationMetadata`.

  Parameters:
    `constraints` - may be null

### addConstraint

    public void addConstraint(OWSDomainType constraint)

  Adds a constraint.

  Parameters:
    `constraint` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org